%define modname trader
%define soname %{modname}.so
%define inifile A89_%{modname}.ini

Summary:	Gender Extension
Name:		php-%{modname}
Version:	0.4.1
Release:	%mkrel 8
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/trader/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	php-devel >= 3:7.3.0
BuildRequires:	file
Requires:	php >= 3:7.4.0
Requires:	php-common = 3:7.4

%description
Gender PHP extension is a port of the gender.c program originally written by
Joerg Michael. The main purpose is to find out the gender of first names. The
actual database contains >40000 first names from 54 countries.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -p -i -e "s|/lib\b|/%{_lib}|g" *.m4

perl -pi -e "s|/home/user/|%{_datadir}/%{name}/|g" README

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --enable-%{modname}

%make_build

%install
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_datadir}/%{name}

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[%{modname}]
EOF

%files
%doc package*.xml CREDITS LICENSE
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}
%dir %{_datadir}/%{name}





%changelog
* Thu Jun 18 2020 mokraemer <mokraemer> 0.4.1-8.mga7
+ Revision: 1595947
- Fix dependency
- backport for php 7.4
- backport php 7.4

* Tue Feb 18 2020 umeabot <umeabot> 0.4.1-7.mga8
+ Revision: 1539000
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 0.4.1-6.mga8
+ Revision: 1463544
+ rebuild (emptylog)

* Wed Dec 12 2018 mokraemer <mokraemer> 0.4.1-4.mga7
+ Revision: 1340461
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 0.4.1-3.mga7
+ Revision: 1325763
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 0.4.1-2.mga7
+ Revision: 1300246
- Mageia 7 Mass Rebuild

* Wed Feb 28 2018 mokraemer <mokraemer> 0.4.1-1.mga7
+ Revision: 1205763
- new version 0.4.1

* Sun Dec 03 2017 mokraemer <mokraemer> 0.4.0-3.mga7
+ Revision: 1181025
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 0.4.0-2.mga7
+ Revision: 1177246
- rebuild against php 7

* Tue Aug 01 2017 dlucio <dlucio> 0.4.0-1.mga7
+ Revision: 1133864
- imported package php-trader

